DeepFellow DOCS

Get the current per-project knowledge-graph ontology state

GET
/v1/graph/ontology

Get the current draft/approved ontology state for this project.

Authorization

headerAuthorizationBearer <token>

Header Parameters

OpenAI-Organization?|

Organization Id from OpenAi compatible endpoint. Required to organization access or project access (with OpenAI-Project header) when logged as User or Admin User.

OpenAI-Project?|

Project Id from OpenAi compatible endpoint. Required to project access for organization api key or User / Admin User access with OpenAI-Organization

Response Body

Successful Response

application/json
  1. response

API-facing view of a project's ontology-discovery/approval state.

id*string
project_id*string
state*OntologyState

Lifecycle state of a project's discovered ontology.

Value in"discovering""draft""approved""failed""cancelled"
ontology?|null
approved_ontology?|null
source_file_ids?array<string>
boundaries?string|null
preset?|

Starting ontology the current ontology was seeded from (the preset of the last successful discovery before the first save/approve); null until such a discovery succeeds, and for ontologies approved before presets existed.

last_error?string|null
warnings?array<string>

Discovery steps that soft-failed while producing the draft.

created_at*string
Formatdate-time
updated_at*string
Formatdate-time
Example Request
curl -X GET 'https://deepfellow-server-host/v1/graph/ontology'
Example Response
{  "id": "string",  "project_id": "string",  "state": "discovering",  "ontology": {},  "approved_ontology": {},  "source_file_ids": [    "string"  ],  "boundaries": "string",  "preset": "general",  "last_error": "string",  "warnings": [    "string"  ],  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z"}

We use cookies on our website. We use them to ensure proper functioning of the site and, if you agree, for purposes such as analytics, marketing, and targeting ads.